MsWrd1ParserInternal::PLC Struct Reference

Internal: class to store the PLC: Pointer List Content ? More...

## Public Member Functions

| PLC (PLCType type=UNKNOWN)
| constructor

## Public Attributes

PLCType | m_type
| the type
int | m_id
| the id
std::string | m_extras
| a string used to store the parsing extrass

## Friends

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<<

## Detailed Description

Internal: class to store the PLC: Pointer List Content ?

## Constructor & Destructor Documentation

## PLC()

MsWrd1ParserInternal::PLC::PLC | ( | PLCType | type = UNKNOWN | ) |

inline explicit

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PLC const & | plc )

friend

operator<<

## Member Data Documentation

## m_extras

std::string MsWrd1ParserInternal::PLC::m_extras

a string used to store the parsing extrass

Referenced by operator<<, and PLC().

## m_id

int MsWrd1ParserInternal::PLC::m_id

the id

Referenced by operator<<, PLC(), MsWrd1Parser::prepareTextZones(), MsWrd1Parser::readFootnoteCorrespondance(), MsWrd1Parser::readPageBreak(), MsWrd1Parser::readPLC(), MsWrd1Parser::readZones(), and MsWrd1Parser::sendText().

## m_type

PLCType MsWrd1ParserInternal::PLC::m_type

the type

Referenced by operator<<, PLC(), MsWrd1Parser::prepareTextZones(), and MsWrd1Parser::sendText().

The documentation for this struct was generated from the following file:

- MsWrd1Parser.cxx